Subject: Re: linux-next: manual merge of the ftrace tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 25 Aug 2008 21:56:47 +1000

Hi Ingo,

On Mon, 25 Aug 2008 11:16:43 +0200 Ingo Molnar <[email-masked]> wrote:
>
> * Stephen Rothwell <[email-masked]> wrote:
> 
> > On Fri, 15 Aug 2008 11:54:10 +1000 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Today's linux-next merge of the ftrace tree got a conflict in
> > > kernel/module.c between commit 1b75321c2d0561d9ecfe3794fa939264f3eb7e26
> > > ("driver core: basic infrastructure for per-module dynamic debug
> > > messages") from the driver-core tree and commit
> > > e543dff1468a55cdff9932dd3a806524790cf0b3 ("tracing: Kernel Tracepoints")
> > > from the ftrace tree.
> > > 
> > > Overlapping additions.  I fixed it up. Probably worth a look once I
> > > publish the tree.
> > 
> > Today this has expanded to include commit 
> > be1c870c22e9b27170b5dd5028b6eaf2aab7b508 ("ftrace: enable mcount 
> > recording for modules") also from the ftrace tree.  I have fixed it up 
> > as below.
> 
> Thanks Stephen. I suspect there's not much we can do at this point to 
> resolve this conflict sooner than at the linux-next level, as Rusty uses 
                                                                ^^^^^
I assume you mean Greg.

> Quilt queues.

But yeah, not much we can do, but it is not a problem.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/